> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 checkout 结果

> 为网站成功或取消页面返回轻量级 checkout 结果 载荷。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: 获取 checkout 结果
      description: 为网站成功或取消页面返回轻量级 checkout 结果 载荷。
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: 结帐帐户摘要
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 仪表板访问是否需要身份验证
          title: 仪表板需要认证
        checkout_token:
          description: 结账继续令牌
          title: Checkout 令牌
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 帐户的仪表板 URL
          title: 仪表板 URL
        message:
          description: 结帐结果讯息
          title: 消息
          type: string
        plan_key:
          description: 选定的计费计划密钥
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: 计划键
          type: string
        status:
          description: 结账结果状态
          title: 状态
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    AccountSummaryResponse:
      description: 返回给网站的安全账户摘要。
      properties:
        account_id:
          description: 账户 UUID
          title: 账户 Id
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Chargebee 订阅状态
          title: Chargebee 订阅状态
        currency:
          description: 计费货币代码
          title: 货币
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````